Fork me on GitHub"

# skbio.util.classproperty

class `skbio.util.``classproperty`(func)

  Decorator for class-level properties.

  Supports read access only. The property will be read-only within an instance. However, the property can always be redefined on the class, since Python classes are mutable.

  Parameters:

  func : function

  > Method to make a class property.

  Returns:

  property

  > Decorated method.

  Raises:

  AttributeError

  > If the property is set on an instance.

  Methods

  `__get__`(cls, owner) |
  `__set__`(obj, value) |
  `deleter` | Descriptor to change the deleter on a property.
  `getter` | Descriptor to change the getter on a property.
  `setter` | Descriptor to change the setter on a property.